Skip to main content

API Endpoints

This page provides a summary of all available API endpoints. For full request/response schemas, see the Swagger documentation.

Accounts

MethodPathDescription
GET/accounts/meGet current account details
PUT/accounts/meUpdate account profile
GET/accounts/me/kycGet KYC verification status
POST/accounts/me/kycSubmit KYC documents

Deposits

MethodPathDescription
GET/depositsList all deposits
POST/depositsCreate a new deposit
GET/deposits/{id}Get deposit details
POST/deposits/{id}/withdrawWithdraw a deposit
GET/deposits/summaryGet deposit summary with totals

Credit

MethodPathDescription
GET/credit/lineGet current credit line details
GET/credit/healthGet health factor and collateral status
GET/credit/transactionsList credit transactions
POST/credit/drawDraw from credit line
GET/credit/tierGet current graduation tier

Payments

MethodPathDescription
GET/paymentsList payment history
POST/paymentsMake a payment
GET/payments/{id}Get payment details
GET/payments/scheduleGet payment schedule
POST/payments/autopayConfigure autopay settings

Yield

MethodPathDescription
GET/yield/summaryGet yield earnings summary
GET/yield/historyGet yield history with daily breakdowns
GET/yield/strategiesList active yield strategies
PUT/yield/settingsUpdate yield preferences (compounding, etc.)

Scores

MethodPathDescription
GET/scores/{address}Get reputation score for a wallet
GET/scores/{address}/historyGet score history
GET/scores/{address}/categoriesGet category-level score breakdown

Webhooks

MethodPathDescription
GET/webhooksList webhook subscriptions
POST/webhooksCreate a webhook subscription
PUT/webhooks/{id}Update a webhook subscription
DELETE/webhooks/{id}Delete a webhook subscription

Next Steps